"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var fileUtil_1 = require("../../commons/utils/fileUtil");
var directoryStructure_1 = require("../../commons/constants/directoryStructure");
var util_1 = require("../../generators/api/commons/util");
var constants_1 = require("../../generators/api/commons/constants");
/**
 * Class which implements the logic for commons / constants files initializer actions.
 *
 * @export
 * @class CommonsFileOperations
 */
var CommonsFileOperations = (function () {
    function CommonsFileOperations() {
    }
    /**
     * Initialize Util class
     * @param {string} filePath - file path where api will be generated
     * @return {Promise<boolean>} - true if was successfully created
     */
    CommonsFileOperations.prototype.initializeUtil = function (filePath) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                return [2 /*return*/, fileUtil_1.default.writeFile(fileUtil_1.default.joinPaths(filePath, directoryStructure_1.default.API_STRUCTURE.COMMONS, 'util.js'), util_1.default.getUtil())];
            });
        });
    };
    /**
     * Initialize constants classes
     * @param {string} filePath - file path where api will be generated
     * @return {Promise<boolean>} - true if was successfully created
     */
    CommonsFileOperations.prototype.initializeConstants = function (filePath) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                return [2 /*return*/, fileUtil_1.default.writeFile(fileUtil_1.default.joinPaths(filePath, directoryStructure_1.default.API_STRUCTURE.CONSTANTS, 'statusCode.js'), constants_1.default.getStatusCode())];
            });
        });
    };
    return CommonsFileOperations;
}());
exports.CommonsFileOperations = CommonsFileOperations;
exports.default = new CommonsFileOperations();
