import { Schema } from '../../commons/types';
/**
 * Class which implements the logic for odm initializer actions.
 *
 * @export
 * @class ModelsFileOperations
 */
export declare class ModelsFileOperations {
    /**
     * Generate sequelize models based on schema.
     *
     * @param {string} filePath path of the root of the api
     * @param {Schema} schema source schema for api generation
     * @return {Promise<boolean[]>} true if all models have been generated
     */
    initializeSequelizeModels(filePath: string, schema: Schema): Promise<boolean[]>;
}
declare const _default: ModelsFileOperations;
export default _default;
