"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var fileUtil_1 = require("../../commons/utils/fileUtil");
var directoryStructure_1 = require("../../commons/constants/directoryStructure");
var models_1 = require("../../generators/api/models");
/**
 * Class which implements the logic for odm initializer actions.
 *
 * @export
 * @class ModelsFileOperations
 */
var ModelsFileOperations = (function () {
    function ModelsFileOperations() {
    }
    /**
     * Generate sequelize models based on schema.
     *
     * @param {string} filePath path of the root of the api
     * @param {Schema} schema source schema for api generation
     * @return {Promise<boolean[]>} true if all models have been generated
     */
    ModelsFileOperations.prototype.initializeSequelizeModels = function (filePath, schema) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var promises;
            return tslib_1.__generator(this, function (_a) {
                promises = [Promise.resolve(true)];
                models_1.default.sequelize.getModels(schema).forEach(function (model) {
                    promises.push(fileUtil_1.default.writeFile(filePath + "/" + directoryStructure_1.default.API_STRUCTURE.MODELS + "/" + model.name, model.content));
                });
                return [2 /*return*/, Promise.all(promises)];
            });
        });
    };
    return ModelsFileOperations;
}());
exports.ModelsFileOperations = ModelsFileOperations;
exports.default = new ModelsFileOperations();
