"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var fileUtil_1 = require("../../commons/utils/fileUtil");
var utils_1 = require("../../commons/utils/utils");
var directoryStructure_1 = require("../../commons/constants/directoryStructure");
var service_1 = require("../../generators/api/services/service");
/**
 * Class which implements the logic for service files initializer actions.
 *
 * @export
 * @class ServicesFileOperations
 */
var ServicesFileOperations = (function () {
    function ServicesFileOperations() {
    }
    /**
     * Initialize services files
     * @param {string} filePath - file path where api will be generated
     * @param {Schema} schema - schema information
     * @return {Promise<boolean[]>} - an array of booleans with created status
     */
    ServicesFileOperations.prototype.initializeServices = function (filePath, schema) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var promises;
            return tslib_1.__generator(this, function (_a) {
                promises = [Promise.resolve(true)];
                schema.forEach(function (table) {
                    var model = utils_1.default.singular(table.name);
                    promises.push(fileUtil_1.default.writeFile(fileUtil_1.default.joinPaths(filePath, directoryStructure_1.default.API_STRUCTURE.SERVICES, model + "Service.js"), service_1.default.getService(model)));
                });
                return [2 /*return*/, Promise.all(promises)];
            });
        });
    };
    return ServicesFileOperations;
}());
exports.ServicesFileOperations = ServicesFileOperations;
exports.default = new ServicesFileOperations();
