import { Schema, Table, Example } from '../../commons/types';
/**
 * Class which holds the logic for generating example data.
 *
 * @export
 * @class ExamplesGenerator
 */
export declare class ExamplesGenerator {
    /**
     * Array of default raml types supported.
     *
     * @private
     * @type {string[]}
     * @memberof ExamplesGenerator
     */
    private defaultRamlTypes;
    /**
     * Key used in storing and searching for cached elements.
     *
     * @public
     * @type {string}
     * @memberof ExamplesGenerator
     */
    PRIME_KEY: string;
    /**
     * Generate type example for a certain table
     * @param {*} schema - entire collection of tables
     * @param {*} table - table information
     * @param {int} depthLevel - columns depth level to be computed
     * @return {Example} object containing - type name(with titleCase)
     *                                       - table content object to be stringified
     */
    generateTypeExampleContent(schema: Schema, table: Table, depthLevel: number): Example;
}
declare const _default: ExamplesGenerator;
export default _default;
