"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var logger_1 = require("../commons/logger");
var chalk = require("chalk");
var inquirer = require("inquirer");
var ramlOutput = require("./outputs/ramlOutput");
var apiOutput = require("./outputs/apiOutput");
exports.questions = [
    {
        name: 'action',
        type: 'list',
        message: 'Choose what you want to generate',
        choices: ['raml', 'api'],
        default: ['raml'],
    },
];
exports.handler = function (data) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    return tslib_1.__generator(this, function (_a) {
        switch (data.action) {
            case 'raml': {
                return [2 /*return*/, inquirer.prompt(ramlOutput.questions).then(ramlOutput.handler)];
            }
            case 'api': {
                return [2 /*return*/, inquirer.prompt(apiOutput.questions).then(apiOutput.handler)];
            }
            default: {
                logger_1.default.warn(data.action + " not yet supported.");
                console.log(chalk.yellow(data.action + " not yet supported."));
            }
        }
        return [2 /*return*/, Promise.reject(undefined)];
    });
}); };
