"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var logger_1 = require("../../../commons/logger");
var chalk = require("chalk");
var relational = require("./relational/relational");
var inquirer = require("inquirer");
exports.questions = [
    {
        name: 'databaseType',
        type: 'list',
        message: 'Choose database type',
        choices: ['relational', 'non-relational'],
        default: ['relational'],
    },
];
exports.handler = function (data) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    return tslib_1.__generator(this, function (_a) {
        switch (data.databaseType) {
            case 'relational':
                return [2 /*return*/, inquirer.prompt(relational.questions).then(relational.handler)];
            default: {
                logger_1.default.warn('Non-relational databases not supported yet.');
                console.log(chalk.yellow('Non-relational databases not supported yet.'));
            }
        }
        return [2 /*return*/, Promise.reject(undefined)];
    });
}); };
