"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var chalk = require("chalk");
var MysqlHandler_1 = require("../../../../handlers/MysqlHandler");
var config_1 = require("../../../../configs/config");
exports.questions = [
    {
        name: 'host',
        type: 'input',
        message: 'Host:',
        default: '127.0.0.1',
    },
    {
        name: 'port',
        type: 'input',
        message: 'Port:',
        default: '3306',
        validate: function (value) {
            if (!isNaN(parseInt(value, config_1.default.NUMERIC_BASE))) {
                return true;
            }
            console.log(chalk.red('Port must be a number'));
            return false;
        },
    },
    {
        name: 'database',
        type: 'input',
        message: 'Database:',
        validate: function (value) {
            if (value.length) {
                return true;
            }
            console.log(chalk.red('Database not provided'));
            return false;
        },
    },
    {
        name: 'user',
        type: 'input',
        message: 'User (needs read access to information_schema):',
        default: 'root',
    },
    {
        name: 'password',
        type: 'password',
        message: 'Password:',
        default: '',
    },
];
exports.handler = function (data) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    return tslib_1.__generator(this, function (_a) {
        return [2 /*return*/, new Promise(function (resolve, reject) {
                try {
                    var sqlHandler_1 = new MysqlHandler_1.default(data);
                    sqlHandler_1.connect();
                    sqlHandler_1.readSchema().then(function (schema) {
                        resolve(schema);
                        sqlHandler_1.close();
                    }).catch(reject);
                }
                catch (e) {
                    reject(e);
                }
            })];
    });
}); };
