"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var inquirer = require("inquirer");
var chalk = require("chalk");
var logger_1 = require("../../../../commons/logger");
var mysql = require("./mysql");
exports.questions = [
    {
        name: 'databaseEngine',
        type: 'list',
        message: 'Database engine:',
        choices: ['MySql', 'Postgresql', 'Sqlite'],
        default: ['Mysql'],
    },
];
exports.handler = function (data) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    return tslib_1.__generator(this, function (_a) {
        switch (data.databaseEngine) {
            case 'MySql': {
                return [2 /*return*/, inquirer.prompt(mysql.questions).then(mysql.handler)];
            }
            default: {
                logger_1.default.warn(data.databaseEngine + " not yet supported.");
                console.log(chalk.yellow(data.databaseEngine + " not yet supported."));
            }
        }
        return [2 /*return*/, Promise.reject(undefined)];
    });
}); };
