"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var chalk = require("chalk");
var inquirer = require("inquirer");
var mysql = require("./mysql");
var logger_1 = require("../../../commons/logger");
exports.questions = [
    {
        name: 'dialect',
        type: 'list',
        message: 'Choose api database type',
        choices: ['MySql'],
        default: ['MySql'],
    },
];
exports.handler = function (data) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    var _this = this;
    return tslib_1.__generator(this, function (_a) {
        switch (data.dialect) {
            case 'MySql':
                return [2 /*return*/, inquirer.prompt(mysql.questions).then(mysql.handler).then(function (connection) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
                        return tslib_1.__generator(this, function (_a) {
                            Object.assign(connection, { dialect: data.dialect });
                            return [2 /*return*/, Promise.resolve(connection)];
                        });
                    }); })];
            default: {
                logger_1.default.warn('Database type not supported yet.');
                console.log(chalk.yellow('Database type not supported yet.'));
                return [2 /*return*/, Promise.reject(false)];
            }
        }
        return [2 /*return*/];
    });
}); };
