"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var assert = require("assert");
var fs = require("fs");
var fileUtil_1 = require("../../../src/commons/utils/fileUtil");
var directoryStructure_1 = require("../../../src/commons/constants/directoryStructure");
var ApiFileOperations_1 = require("../../../src/fileOperations/ApiFileOperations");
var commonsFileOperations_1 = require("../../../src/fileOperations/api/commonsFileOperations");
var apiMocks_1 = require("../../testUtils/apiMocks");
describe('Suite for testing the CommonsFileOperations class', function () {
    it('should create util.js file', function (done) {
        var apiFileOperations = new ApiFileOperations_1.default('api.test');
        commonsFileOperations_1.default.initializeUtil(apiFileOperations.getFilePath())
            .then(function () { return tslib_1.__awaiter(_this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                fs.readFile(fileUtil_1.default.joinPaths(apiFileOperations.getFilePath(), directoryStructure_1.default.API_STRUCTURE.COMMONS, "util.js"), function (err, data) {
                    assert.ifError(err);
                    assert(data, 'Content should not be empty');
                    assert.equal(data.toString(), apiMocks_1.default.VALID_UTIL_CLASS);
                    done();
                });
                return [2 /*return*/];
            });
        }); })
            .catch(function (ex) {
            assert.fail(ex.message);
            done();
        });
    });
    it('should create statusCode.js file', function (done) {
        var apiFileOperations = new ApiFileOperations_1.default('api.test');
        commonsFileOperations_1.default.initializeConstants(apiFileOperations.getFilePath())
            .then(function () { return tslib_1.__awaiter(_this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                fs.readFile(fileUtil_1.default.joinPaths(apiFileOperations.getFilePath(), directoryStructure_1.default.API_STRUCTURE.CONSTANTS, 'statusCode.js'), function (err, data) {
                    assert.ifError(err);
                    assert(data, 'Content should not be empty');
                    assert.equal(data.toString(), apiMocks_1.default.VALID_STATUS_CODES_CONSTANTS);
                    done();
                });
                return [2 /*return*/];
            });
        }); })
            .catch(function (ex) {
            assert.fail(ex.message);
            done();
        });
    });
});
