"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var assert = require("assert");
var fs = require("fs");
var fileUtil_1 = require("../../../src/commons/utils/fileUtil");
var utils_1 = require("../../../src/commons/utils/utils");
var directoryStructure_1 = require("../../../src/commons/constants/directoryStructure");
var ApiFileOperations_1 = require("../../../src/fileOperations/ApiFileOperations");
var servicesFileOperations_1 = require("../../../src/fileOperations/api/servicesFileOperations");
var apiMocks_1 = require("../../testUtils/apiMocks");
var schemaMocks_1 = require("../../testUtils/schemaMocks");
describe('Suite for testing the ServicesFileOperations class', function () {
    it('should create all services files for schema', function (done) {
        var apiFileOperations = new ApiFileOperations_1.default('api.test');
        servicesFileOperations_1.default.initializeServices(apiFileOperations.getFilePath(), schemaMocks_1.default.PROCESSED_SCHEMA_ONE_TABLE)
            .then(function () { return tslib_1.__awaiter(_this, void 0, void 0, function () {
            var table, model;
            return tslib_1.__generator(this, function (_a) {
                table = schemaMocks_1.default.PROCESSED_SCHEMA_ONE_TABLE[0];
                model = utils_1.default.singular(table.name);
                // Read generated controller
                fs.readFile(fileUtil_1.default.joinPaths(apiFileOperations.getFilePath(), directoryStructure_1.default.API_STRUCTURE.SERVICES, model + "Service.js"), function (err, data) {
                    assert.ifError(err);
                    assert(data, 'Content should not be empty');
                    assert.equal(data.toString(), apiMocks_1.default.VALID_SERVICE_ONE_MODEL);
                    done();
                });
                return [2 /*return*/];
            });
        }); })
            .catch(function (err) {
            assert.fail(err.message);
            done();
        });
    });
});
