"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var assert = require("assert");
var sequelize_1 = require("../../../../src/generators/api/repositories/sequelize");
var schemaMocks_1 = require("../../../testUtils/schemaMocks");
var sequelizeRepositoryGenerator = new sequelize_1.default();
describe('Suite for testing the SequelizeRepositoryGenerator class', function () {
    it('should know how to generate valid repositories from a given schema', function () {
        var generated = sequelizeRepositoryGenerator.getRepositories(schemaMocks_1.default.PROCESSED_SCHEMA_ONE_TO_ONE);
        assert.equal(generated[0].name, 'AccountRepository.js');
        assert.equal(generated[1].name, 'UserRepository.js');
    });
    it('should generate a valid repository factory', function () {
        var generated = sequelizeRepositoryGenerator.getRepositoryFactory(schemaMocks_1.default.PROCESSED_SCHEMA_ONE_TO_ONE);
        assert.equal(generated.name, 'repositoryFactory.js');
        assert.equal(generated.content.length > 0, true);
    });
});
