"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var assert = require("assert");
var schemaMocks_1 = require("../../testUtils/schemaMocks");
var examples_1 = require("../../../src/generators/spec/examples");
describe('Suite for testing RamlExampleGenerator', function () {
    it('should return js entity object for a simple table', function () {
        var groupExample = examples_1.default.generateTypeExampleContent(schemaMocks_1.default.PROCESSED_SCHEMA_MANY_TO_MANY, schemaMocks_1.default.PROCESSED_SCHEMA_MANY_TO_MANY[0], 0);
        assert(groupExample, 'Object should not be null');
        assert(groupExample.type, 'Type should not be null');
        assert.equal(groupExample.type, 'Group', 'Type object should be User');
        assert(groupExample.data, 'Data object should not be null');
        assert.equal(Object.keys(groupExample.data).length, 3, 'Number of data generated should be 3');
        var userExample = examples_1.default.generateTypeExampleContent(schemaMocks_1.default.PROCESSED_SCHEMA_MANY_TO_MANY, schemaMocks_1.default.PROCESSED_SCHEMA_MANY_TO_MANY[1], 0);
        assert(userExample, 'Object should not be null');
        assert(userExample.type, 'Type should not be null');
        assert.equal(userExample.type, 'User', 'Type object should be User');
        assert(userExample.data, 'Data object should not be null');
        assert.equal(Object.keys(userExample.data).length, 4, 'Number of data generated should be 4');
    });
});
