"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var assert = require("assert");
var BaseHandler_1 = require("../../src/handlers/BaseHandler");
var handler = new BaseHandler_1.default('');
var colSchema = {
    COLUMN_NAME: 'test',
    COLUMN_TYPE: '',
    COLUMN_KEY: 'PRI',
    IS_NULLABLE: 'NO',
    DATA_TYPE: 'varchar',
    CHARACTER_MAXIMUM_LENGTH: '255',
};
describe('Suite for testing BaseHandler class', function () {
    it('should throw an error for unknown driver when normalizing column schema', function () {
        try {
            handler.normalizeColumnSchema(colSchema);
        }
        catch (e) {
            assert.equal(e.message, 'Input source not not supported.');
        }
    });
    it('should throw an error for unknown driver when normalizing db schema', function () {
        try {
            handler.normalizeRelations([{ name: 'users', columns: [] }]);
        }
        catch (e) {
            assert.equal(e.message, 'Input source not not supported.');
        }
    });
});
