"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var assert = require("assert");
var RamlHandler_1 = require("../../../src/handlers/RamlHandler");
describe('Suite for testing RamlHandler class', function () {
    it('should return an valid schema', function (done) {
        try {
            var handler = new RamlHandler_1.default({ path: './test/handlers/raml/data/api.raml' });
            handler.parseSchema().then(function (schema) {
                assert.equal(schema.length, 4);
                done();
            }).catch(function (err) {
                console.log(err);
                assert.fail(err.message);
            });
        }
        catch (e) {
            assert.fail(e);
            done();
        }
    });
    it('should throw an error if invalid schema', function (done) {
        try {
            var handler = new RamlHandler_1.default({ path: './index.js' });
            handler.parseSchema().catch(function (e) {
                assert.equal(e.message, 'Incorrect RAML file!');
                done();
            });
        }
        catch (e) {
            assert.fail(e.message);
            done();
        }
    });
});
