"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    PACKAGE_JSON_CONFIG: {
        name: 'demo-app',
        version: '1.0.0',
        description: 'Demo App generated with generaptr',
        author: 'Darius Cupsa',
        license: 'MIT',
        output: '',
    },
    VALID_PACKAGE_JSON: {
        name: 'demo-app',
        version: '1.0.0',
        description: 'Demo App generated with generaptr',
        main: 'index.js',
        scripts: {
            'test': "echo 'Error: no test specified' && exit 1",
            'start': 'node src/index.js',
            'start:dev': './node_modules/.bin/nodemon src/index.js',
            'db:migrate': './node_modules/.bin/sequelize db:migrate --env development --config ./src/configs/database.js',
            'db:create-migration': './node_modules/.bin/sequelize migration:create --env development --config ./src/configs/database.js',
        },
        author: 'Darius Cupsa',
        license: 'MIT',
        dependencies: {},
    },
    VALID_SEQUELIZE_MODEL_REGISTRY: "'use strict';\nconst fs        = require('fs');\nconst path      = require('path');\nconst Sequelize = require('sequelize');\nconst basename  = path.basename(module.filename);\nconst env       = process.env.NODE_ENV || 'development';\nconst config    = require(__dirname + '/../configs/database')[env];\nconst db        = {};\nlet sequelize;\n\nif (config.use_env_variable) {\n  sequelize = new Sequelize(process.env[config.use_env_variable]);\n} else {\n  sequelize = new Sequelize(config.database, config.username, config.password, config);\n}\nfs\n  .readdirSync(__dirname)\n  .filter(function(file) {\n    return (file.indexOf('.') !== 0) && (file !== basename) && (file.slice(-3) === '.js');\n  })\n  .forEach(function(file) {\n    var model = sequelize['import'](path.join(__dirname, file));\n    db[model.name] = model;\n  });\nObject.keys(db).forEach(function(modelName) {\n  if (db[modelName].associate) {\n    db[modelName].associate(db);\n  }\n});\ndb.sequelize = sequelize;\ndb.Sequelize = Sequelize;\nmodule.exports = db;\n",
    VALID_SEQUELIZE_CONFIG: {
        user: 'root',
        password: 'secret',
        database: 'test',
        host: '127.0.0.1',
        dialect: 'MySql',
        port: '3306',
    },
    VALID_SEQUELIZE_DATABASE_CONFIG: "module.exports = {\n  \"development\": {\n    \"uri\": \"mysql://root:secret@127.0.0.1:3306/test\",\n    \"username\": \"root\",\n    \"password\": \"secret\",\n    \"database\": \"test\",\n    \"host\": \"127.0.0.1\",\n    \"dialect\": \"mysql\",\n    \"port\": \"3306\"\n  },\n  \"production\": {\n    \"uri\": \"mysql://user:password@host:port/database\",\n    \"username\": \"user\",\n    \"password\": \"password\",\n    \"database\": \"database\",\n    \"host\": \"host\",\n    \"dialect\": \"mysql\",\n    \"port\": \"port\"\n  }\n}",
    VALID_STATUS_CODES_CONSTANTS: "module.exports = {\n  \"OK\": 200,\n  \"CREATED\": 201,\n  \"NO_CONTENT\": 204,\n  \"FOUND\": 302,\n  \"SEE_OTHER\": 303,\n  \"BAD_REQUEST\": 400,\n  \"UNAUTHORIZED\": 401,\n  \"FORBIDDEN\": 403,\n  \"NOT_FOUND\": 404,\n  \"METHOD_NOT_ALLOWED\": 405,\n  \"CONFLICT\": 409,\n  \"INTERNAL_SERVER_ERROR\": 500,\n  \"BAD_GATEWAY\": 502\n};",
    VALID_UTIL_CLASS: "class Util {\n  generateLocationUri(request, id) {\n    return request.protocol + '://' + request.get('host') + request.originalUrl + '/' + id;\n  }\n}\n\nmodule.exports = new Util();",
    VALID_CONFIG_VALUE: "module.exports = {\n  development: {\n    morgan: 'dev',\n    APP_PORT: process.env.PORT || 3000\n  },\n  production: {\n    morgan: 'combined',\n    APP_PORT: process.env.PORT || 3000\n  }\n};",
    VALID_CONFIG_GET_ENV_BASED_CONFIG: "const config = require('./config');\n\nmodule.exports = {\n  getEnvBasedConfig: () => {\n    return (config[process.env.NODE_ENV] || config['development']);\n  }\n};",
    VALID_CORS_CONFIG: "module.exports = (request, response, next) => {\n    response.header('Access-Control-Allow-Origin', '*');\n    response.header('Access-Control-Allow-Methods', 'GET, POST, PUT, DELETE, OPTIONS');\n    response.header('Access-Control-Allow-Headers', 'Origin, X-Requested-With, Content-Type, Accept');\n\n    next();\n};",
    VALID_EXPRESS_CONFIG: "const bodyParser = require('body-parser');\nconst morgan = require('morgan');\nconst cors = require('../middlewares/cors');\nconst profile = require('./index.js').getEnvBasedConfig();\n\nmodule.exports = (app) => {\n  app.use(bodyParser.json());\n  app.use(bodyParser.urlencoded({extended: false}));\n  app.use(morgan(profile.morgan));\n  app.use(cors);\n\n  return app;\n};",
    VALID_INDEX_FILE: "const express = require('express');\nconst profile = require('./configs/index.js').getEnvBasedConfig();\nconst loadExpressConfig = require('./configs/express.js');\nconst router = require('./configs/router.js');\n\nlet app = express();\napp = loadExpressConfig(app);\n\napp.use('/', router);\n\napp.listen(profile.APP_PORT, () => {\n  console.log('App started on port: ' + profile.APP_PORT);\n});",
    VALID_ROUTER_CONFIG: "const router = require('express').Router();\n\nconst defaultController = require('../controllers/defaultController');\nconst userController = require('../controllers/userController');\n\nrouter.use('/', defaultController);\nrouter.use('/users', userController);\n\nmodule.exports = router;",
    VALID_SERVICE_ONE_MODEL: "const repositoryFactory = require('../repositories/repositoryFactory');\nconst STATUS_CODE = require('../commons/constants/statusCode');\n\nclass UserService {\n  constructor() {\n    this.repository = repositoryFactory.getRepositoryForModel('User');\n  }\n\n  save(data) {\n    return new Promise((resolve, reject) => {\n      this.repository.save(data)\n        .then(id => {\n          resolve(id);\n        })\n        .catch(err => {\n          reject({'status': STATUS_CODE.INTERNAL_SERVER_ERROR, 'message': err.message});\n        });\n    });\n  }\n\n  get(id) {\n    return new Promise((resolve, reject) => {\n      this.repository.get(id)\n        .then(data => {\n          if (!data) {\n            return reject({'status': STATUS_CODE.NOT_FOUND, 'message': 'No User found with id ' + id});\n          }\n          resolve(data);\n        })\n        .catch(err => {\n          reject({'status': STATUS_CODE.INTERNAL_SERVER_ERROR, 'message': err.message});\n        });\n    });\n  }\n\n  getAll(offset = 0, limit = 15) {\n     const result = {\n      meta: {\n        offset: offset,\n        limit: limit,\n        count: 0\n      },\n      data: []\n     };\n\n     return new Promise((resolve, reject) => {\n      this.repository.getAll(Number(offset), Number(limit))\n        .then(data => {\n          result.data = data;\n\n          return this.repository.count();\n        })\n        .then(count => {\n          result.meta.count = count;\n\n          resolve(result);\n        })\n        .catch(err => {\n          reject({'status': STATUS_CODE.INTERNAL_SERVER_ERROR, 'message': err.message});\n        });\n     });\n  }\n\n  delete(id) {\n    return new Promise((resolve, reject) => {\n      this.repository.exists(id)\n        .then(exists => {\n          if (!exists) {\n            return reject({'status': STATUS_CODE.NOT_FOUND, 'message': 'No User found with id: ' + id});\n          }\n          return this.repository.delete(id);\n        })\n        .then(affectedUser => {\n          resolve(true);\n        })\n        .catch(err => {\n          reject({'status': STATUS_CODE.INTERNAL_SERVER_ERROR, 'message': err.message});\n        });\n    });\n  }\n\n  update(id, data) {\n    return new Promise((resolve, reject) => {\n      this.repository.exists(id)\n        .then(exists => {\n          if (!exists) {\n            return reject({'status': STATUS_CODE.NOT_FOUND, 'message': 'No User found with id ' + id});\n          }\n          return this.repository.update(id, data);\n        })\n        .then(data => {\n          resolve(data);\n        })\n        .catch(err => {\n          reject({'status': STATUS_CODE.INTERNAL_SERVER_ERROR, 'message': err.message});\n        });\n    });\n  }\n}\n\nmodule.exports = new UserService();",
    VALID_DEFAULT_CONTROLLER: "const defaultRoute = require('express').Router();\n\ndefaultRoute.get('/', (request, response, next) => {\n  response.json({ message: 'Hello from Generaptr' });\n});\n\nmodule.exports = defaultRoute;",
    VALID_CONTROLLER_ONE_MODEL: "const userRoute = require('express').Router();\nconst userService = require('../services/userService');\nconst Util = require('../commons/util');\nconst STATUS_CODE = require('../commons/constants/statusCode');\n\nuserRoute.post('/', (request, response) => {\n  userService.save(request.body)\n    .then(id => {\n      response.header('Location', Util.generateLocationUri(request, id));\n      response.status(STATUS_CODE.CREATED);\n      response.end();\n    })\n    .catch(err => {\n      response.status(err.status);\n      response.json(err);\n    });\n});\n\nuserRoute.get('/:id', (request, response) => {\n  userService.get(request.params.id)\n    .then(data => {\n      response.status(STATUS_CODE.OK);\n      response.json(data);\n    })\n    .catch(err => {\n      response.status(err.status);\n      response.json(err);\n    });\n});\n\nuserRoute.delete('/:id', (request, response) => {\n  userService.delete(request.params.id)\n    .then(() => {\n      response.status(STATUS_CODE.NO_CONTENT);\n      response.end();\n    })\n    .catch(err => {\n      response.status(err.status);\n      response.json(err);\n    });\n});\n\nuserRoute.put('/:id', (request, response) => {\n  userService.update(request.params.id, request.body)\n    .then(data => {\n      response.status(STATUS_CODE.OK);\n      response.json(data);\n    })\n    .catch(err => {\n      response.status(err.status);\n      response.json(err);\n    });\n});\n\nuserRoute.get('/', (request, response) => {\n  userService.getAll(request.query.offset, request.query.limit)\n    .then(data => {\n      if (!data || data.size === 0) {\n        response.status(STATUS_CODE.NO_CONTENT);\n        response.end();\n      } else {\n        response.status(STATUS_CODE.OK);\n        response.json(data);\n      }\n    })\n    .catch(err => {\n      response.status(err.status);\n      response.json(err);\n    });\n});\n\nmodule.exports = userRoute;",
};
