declare const _default: {
    PROCESSED_SCHEMA_ONE_TABLE: {
        name: string;
        columns: ({
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: undefined;
            };
        } | {
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: number;
            };
        })[];
    }[];
    PROCESSED_SCHEMA_ONE_TABLE_WITH_ENUM: {
        name: string;
        columns: ({
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: undefined;
            };
        } | {
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: number;
            };
        } | {
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                values: string[];
            };
        })[];
    }[];
    PROCESSED_SCHEMA_ONE_TO_ONE: {
        name: string;
        columns: ({
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: undefined;
            };
        } | {
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: number;
            };
        } | {
            name: string;
            unique: boolean;
            allowNull: boolean;
            primary: boolean;
            dataType: {
                type: string;
                isArray: boolean;
                relationType: string;
            };
        })[];
    }[];
    PROCESSED_SCHEMA_MANY_TO_ONE: {
        name: string;
        columns: ({
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: undefined;
            };
        } | {
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: number;
            };
        } | {
            name: string;
            unique: boolean;
            allowNull: boolean;
            primary: boolean;
            dataType: {
                type: string;
                isArray: boolean;
                relationType: string;
            };
        })[];
    }[];
    PROCESSED_SCHEMA_ONE_TO_MANY: {
        name: string;
        columns: ({
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: undefined;
            };
        } | {
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: number;
            };
        } | {
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                isArray: boolean;
                relationType: string;
            };
        })[];
    }[];
    PROCESSED_SCHEMA_MANY_TO_MANY: {
        name: string;
        columns: ({
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: undefined;
            };
        } | {
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: number;
            };
        } | {
            name: string;
            primary: boolean;
            unique: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                isArray: boolean;
                relationType: string;
            };
        })[];
    }[];
    SCHEMA_ONE_TABLE: {
        name: string;
        columns: ({
            name: string;
            primary: boolean;
            unique: boolean;
            foreignKey: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: undefined;
            };
        } | {
            name: string;
            primary: boolean;
            unique: boolean;
            foreignKey: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: number;
            };
        })[];
    }[];
    SCHEMA_ONE_TO_ONE: {
        name: string;
        columns: ({
            name: string;
            primary: boolean;
            unique: boolean;
            foreignKey: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: undefined;
            };
        } | {
            name: string;
            primary: boolean;
            unique: boolean;
            foreignKey: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: number;
            };
        } | {
            name: string;
            primary: boolean;
            unique: boolean;
            foreignKey: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: undefined;
                references: {
                    name: string;
                    table: string;
                    column: string;
                };
            };
        })[];
    }[];
    SCHEMA_MANY_TO_ONE: {
        name: string;
        columns: ({
            name: string;
            primary: boolean;
            unique: boolean;
            foreignKey: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: undefined;
            };
        } | {
            name: string;
            primary: boolean;
            unique: boolean;
            foreignKey: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: number;
            };
        })[];
    }[];
    SCHEMA_MANY_TO_MANY: {
        name: string;
        columns: ({
            name: string;
            primary: boolean;
            unique: boolean;
            foreignKey: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: undefined;
            };
        } | {
            name: string;
            primary: boolean;
            unique: boolean;
            foreignKey: boolean;
            allowNull: boolean;
            dataType: {
                type: string;
                size: number;
            };
        })[];
    }[];
    RAW_ENUM_DATA: {
        COLUMN_NAME: string;
        IS_NULLABLE: string;
        DATA_TYPE: string;
        CHARACTER_MAXIMUM_LENGTH: string;
        COLUMN_KEY: string;
        COLUMN_TYPE: string;
    };
};
export default _default;
