"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ramlUtil_1 = require("../../src/commons/utils/ramlUtil");
var assert = require("assert");
describe('Suite for testing RamlUtil class', function () {
    it('should generate fake data', function () {
        assert.equal(typeof ramlUtil_1.default.generateFakeData('asd', 'string'), 'string');
        assert.equal(typeof ramlUtil_1.default.generateFakeData('company', 'string'), 'string');
    });
    it('should generate fake ids', function () {
        try {
            assert.equal(typeof ramlUtil_1.default.generateId('number'), 'number');
            assert.equal(typeof ramlUtil_1.default.generateId('string'), 'string');
            ramlUtil_1.default.generateId('not-a-type');
        }
        catch (e) {
            assert.equal(e.message, 'Not implemented yet');
        }
    });
    it('should know how to parse values', function () {
        assert.equal(ramlUtil_1.default.parseRamlValue('2', 'number'), 2);
        assert.equal(ramlUtil_1.default.parseRamlValue('2', 'boolean'), true);
        assert.equal(ramlUtil_1.default.parseRamlValue('asd', 'not-a-type'), 'asd');
    });
    it('should retrieve random enum values', function () {
        var randomEnumValue = ramlUtil_1.default.generateFakeData('active', 'enum', ['Yes', 'No']);
        assert(randomEnumValue);
        assert.equal(randomEnumValue === 'Yes' || randomEnumValue === 'No', true);
    });
});
