"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../src/commons/utils/utils");
var assert = require("assert");
describe('Suite for testing Utils class', function () {
    it('should convert to title case', function () {
        assert.equal(utils_1.default.toTitleCase('users'), 'User');
    });
    it('should convert to table name', function () {
        assert.equal(utils_1.default.toTableName('User'), 'users');
    });
    it('should pluralize any word', function () {
        assert.equal(utils_1.default.pluralize('user'), 'users');
    });
    it('should convert to singular', function () {
        assert.equal(utils_1.default.singular('users'), 'user');
    });
    it('should convert from array notation to pluralized', function () {
        assert.equal(utils_1.default.pluraliseWordArray('User[]'), 'Users');
        assert.equal(utils_1.default.pluraliseWordArray('Users'), 'Users');
    });
    it('should convert to json', function () {
        assert.equal(utils_1.default.convertToJSON({ user: 'test' }), '{\n\t"user": "test"\n}');
    });
    it('should find the index with the right query', function () {
        assert.equal(utils_1.default.indexOfIgnoreCase(['abc'], 'abc'), 0);
    });
    it('should fill the array', function () {
        assert.equal(utils_1.default.fillArray({ name: 'test' }, 2).length, 2);
    });
    it('should know how to format a line', function () {
        assert.equal(utils_1.default.formatLine('  ', 2, 'test'), '      test\n');
    });
});
