"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var config_1 = require("../configs/config");
var logger_1 = require("../configs/logger");
/**
 * Logger class used in the project.
 *
 * @export
 * @class Logger
 */
var Logger = (function () {
    function Logger() {
    }
    /**
     * Log error message
     * @param {string} message
     * @memberof Logger
     */
    /* istanbul ignore next */
    Logger.prototype.error = function (message) {
        if (config_1.default.ENV === 'dev') {
            logger_1.default.error(message);
        }
    };
    /**
     * Logs info message.
     *
     * @param {string} message
     * @memberof Logger
     */
    /* istanbul ignore next */
    Logger.prototype.info = function (message) {
        if (config_1.default.ENV === 'dev' || config_1.default.ENV === 'test') {
            logger_1.default.info(message);
        }
    };
    /**
     * Log warn message.
     *
     * @param {string} message
     * @memberof Logger
     */
    /* istanbul ignore next */
    Logger.prototype.warn = function (message) {
        if (config_1.default.ENV === 'dev' || config_1.default.ENV === 'test') {
            logger_1.default.warn(message);
        }
    };
    return Logger;
}());
exports.Logger = Logger;
exports.default = new Logger();
