/**
 * Class which holds helper tools when working with ramls.
 *
 * @export
 * @class RamlUtil
 */
export declare class RamlUtil {
    /**
     * Generate fake data for a field name
     * @param {string} field - field name
     * @param {string} type - data raml type: can be number / string / Boolean / date etc
     * @param {?string[]} values - default values for attributes (eg. enum: 'Yes' | 'No')
     * @return {*} fake data
     */
    generateFakeData(field: string, type: string, values?: string[]): string | number | boolean;
    /**
     * Parse object value to a custom raml type
     * @param {*} value - value to be parsed
     * @param {string} type - raml type
     * @return {*} parsed value
     */
    parseRamlValue(value: string, type: string): number | string | boolean;
    /**
     * Generate id/_id field value
     * @param {string} type - can be number / string / boolean
     * @return {*} random id
     */
    generateId(type: string): number | string;
}
declare const _default: RamlUtil;
export default _default;
