import { Schema } from '../../commons/types';
/**
 * Class which implements the logic for repository generation.
 *
 * @export
 * @class RepositoriesFileOperations
 */
export declare class RepositoriesFileOperations {
    /**
     * Initialize sequelize repositories
     *
     * @param {string} filePath - root api file path
     * @param {Schema} schema - source schema for api generation
     * @return {Promise<boolean[]>}
     * @memberof RepositoriesFileOperations
     */
    initializeSequelizeRepositories(filePath: string, schema: Schema): Promise<boolean[]>;
}
declare const _default: RepositoriesFileOperations;
export default _default;
