import { Schema } from '../../commons/types';
/**
 * Class which implements the logic for service files initializer actions.
 *
 * @export
 * @class ServicesFileOperations
 */
export declare class ServicesFileOperations {
    /**
     * Initialize services files
     * @param {string} filePath - file path where api will be generated
     * @param {Schema} schema - schema information
     * @return {Promise<boolean[]>} - an array of booleans with created status
     */
    initializeServices(filePath: string, schema: Schema): Promise<boolean[]>;
}
declare const _default: ServicesFileOperations;
export default _default;
