"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Class which generates string content for express.js configuration file
 *
 * @export
 * @class Express
 */
var Express = (function () {
    function Express() {
    }
    /**
     * Generate string content for express.js configuration file
     * @return {string} - string generated content
     */
    Express.prototype.getExpressConfig = function () {
        return "const bodyParser = require('body-parser');\nconst morgan = require('morgan');\nconst cors = require('../middlewares/cors');\nconst profile = require('./index.js').getEnvBasedConfig();\n\nmodule.exports = (app) => {\n  app.use(bodyParser.json());\n  app.use(bodyParser.urlencoded({extended: false}));\n  app.use(morgan(profile.morgan));\n  app.use(cors);\n\n  return app;\n};";
    };
    return Express;
}());
exports.Express = Express;
exports.default = new Express();
