import { Schema } from '../../../commons/types';
/**
 * Class which generates string content for router.js configuration file
 *
 * @export
 * @class Router
 */
export declare class Router {
    /**
     * Generate router.js content file
     * @param schema - database schema definition
     * @return {string} - string generated content
     */
    getRouterConfig(schema: Schema): string;
    /**
     * Generate controllers imports data
     * @param {Schema} schema - tables array
     * @return {string} - multiple lines data
     */
    private generateImportControllersData(schema);
    /**
     * Generate router.use data for every schema table
     * @param {Schema] schema - tables array
     * @return {string} - multiple lines data, each line having one router.use('/models', modelController);
     */
    private generateRouterUseData(schema);
}
declare const _default: Router;
export default _default;
