/**
 * Class which generates string content for API controller files
 *
 * @export
 * @class Controller
 */
export declare class Controller {
    /**
     * Generate default controller string content
     * @return {string} - default controller content
     */
    getDefaultController(): string;
    /**
     * Generate controller content for one model.
     * @param {String} model - model string value. e.g: User
     * @return {string} - string content for generated controller
     */
    getController(model: string): string;
}
declare const _default: Controller;
export default _default;
