import { RamlColumnSchema, MySqlColumnSchema, Column, Schema } from '../commons/types';
/**
 * Base Handler.
 *
 * @export
 * @class BaseHandler
 */
export default class BaseHandler {
    /**
     * Holds the driver name.
     *
     * @private
     * @type {string}
     * @memberof BaseHandler
     */
    private driver;
    constructor(driver: string);
    /**
     * Normalize column schema.
     *
     * @param {*} columnSchema sql column schema
     * @returns {*} normalized column schema
     */
    normalizeColumnSchema(columnSchema: RamlColumnSchema | MySqlColumnSchema): Column;
    /**
     * Normalize relations between tables inside the schema.
     *
     * @param {*} schema database schema
     * @returns {*} normalized database schema
     */
    normalizeRelations(schema: Schema): Schema;
}
