import BaseHandler from './BaseHandler';
import { Schema } from '../commons/types';
/**
 * Raml Handler.
 *
 * @export
 * @class RamlHandler
 * @extends {BaseHandler}
 */
export default class RamlHandler extends BaseHandler {
    /**
     * Path of raml spec.
     *
     * @private
     * @type {string}
     * @memberof RamlHandler
     */
    private path;
    /**
     * Constructor for the RamlHandler.
     *
     * @param {*} options Spec path.
     */
    constructor(options: {
        path: string;
    });
    /**
     * Parse raml spec file and return a normalized schema.
     *
     * @returns {Promise<Schema>} parsed schema.
     * @memberof RamlHandler
     */
    parseSchema(): Promise<Schema>;
}
