"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var logger_1 = require("../../commons/logger");
var chalk = require("chalk");
var databaseType = require("./database/databaseType");
var raml = require("./raml/raml");
var inquirer = require("inquirer");
exports.questions = [
    {
        name: 'input',
        type: 'list',
        message: 'Choose input source',
        choices: ['database', 'raml'],
        default: ['database'],
    },
];
exports.handler = function (data) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    return tslib_1.__generator(this, function (_a) {
        switch (data.input) {
            case 'database':
                return [2 /*return*/, inquirer.prompt(databaseType.questions).then(databaseType.handler)];
            case 'raml':
                return [2 /*return*/, inquirer.prompt(raml.questions).then(raml.handler)];
            default: {
                logger_1.default.warn('Input source not supported yet.');
                console.log(chalk.yellow('Input source not supported yet.'));
            }
        }
        return [2 /*return*/, Promise.reject(undefined)];
    });
}); };
